Bug 134594 - Change from using su to runuser in initscripts
Summary: Change from using su to runuser in initscripts
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: vnc   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-04 20:42 UTC by Daniel Walsh
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 4.0-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-06 12:03:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for changing su to runuser (1.03 KB, text/plain)
2004-10-04 20:45 UTC, Daniel Walsh
no flags Details

Description Daniel Walsh 2004-10-04 20:42:23 UTC
We have created a newversion of the su command called runuser, which
will run a program as a different user.  The command can only be run
as root and will not use pam or prompt for passwords.  Otherwize it
works exactly as su.  This change is needed by SELinux in order to
support proper transitioning on process execution.  

Attached is a patch to the vncserver.init file to make the change.

Comment 1 Daniel Walsh 2004-10-04 20:45:00 UTC
Created attachment 104747 [details]
Patch for changing su to runuser


Note You need to log in before you can comment on or make changes to this bug.